﻿@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <h1 class="display-4">Welcome</h1>
    @if (User.Identity!.IsAuthenticated)
    {
        var autenticaDosFactores = ViewData["Autenticacion2FactoresActiva"];
        if (autenticaDosFactores != null && autenticaDosFactores.ToString()!.ToLower() == "true")
        {
            @*<a asp-action="EliminarAutenticador" asp-controller="Cuentas" class="btn btn-danger">
                Resetear o eliminar autenticación de dos factores
            </a>
            <br /><br />*@

            <form asp-controller="Cuentas" asp-action="EliminarAutenticacion2FEmail" method="POST">
                <button type="submit" class="btn btn-danger">
                    Quitar autenticación por Email
                </button>
            </form>
        }
        else
        {
            @*<a asp-action="ActivarAutenticador" asp-controller="Cuentas" class="btn btn-primary">
                Configurar autenticación de dos factores
            </a>
            <br /><br />*@

            <form asp-controller="Cuentas" asp-action="ActivarAutenticacion2FEmail" method="POST">
                <button type="submit" class="btn btn-primary">
                    Activar autenticación por Email
                </button>
            </form>
        }
    }
</div>
